#include<iostream>
using namespace std;
int main()
{
    int n,d,k,a=1,b,sbor=0;
    cin>>n>>d>>k;
    for(int i=0; i<k; i++)
    {
        if(a+d>n)
        {
            sbor=sbor+a;
            b=d-(n-a);
            a=b;
        }
        else
        {
            if(a+d==n)
            {
                sbor=sbor+a;
                a=a+d;
            }
            else
            {
                sbor=sbor+a;
                a=a+d;
            }

        }
    }
    sbor=sbor+a;


    cout<<sbor;
    return 0;
}
